Actions

Difference between revisions of "What’s next after Joomla 3.0?"

From Joomla! Documentation

(new page for inclusion FAQ 3.0 page, using current FAQ setup for earlier versions, also allows multiple categorisation of FAQ's)
 
m (Version 3.4 FAQ - added)
 
(8 intermediate revisions by 3 users not shown)
Line 1: Line 1:
In 6 months, Joomla 3.1 will be released. Don't worry though, because it's a one-click upgrade and will be backward compatible. If you’re on Joomla 3.0, you will need to upgrade to 3.1 at that time using the one-click upgrader. If you’re still on Joomla 2.5, you can continue to wait until Joomla 3.5 and still get a direct upgrade.
+
<noinclude><languages /></noinclude>
<noinclude>[[Category:Version 3.0 FAQ]]</noinclude>
+
 
 +
<translate>
 +
<!--T:2-->
 +
Joomla! 3.1, 3.2, 3.3, 3.4 and more. Joomla's new development strategy is [http://developer.joomla.org/news/584-joomla-improved-release-cycle-for-the-people-by-the-people.html announced here], please read the [http://developer.joomla.org/news/586-joomla-development-strategy.html full text of the development strategy] for more information.
 +
</translate>
 +
 
 +
<translate>
 +
<!--T:3-->
 +
A quick summary, if you are using any version of Joomla! '''except Joomla {{CurrentSTSVer}}''', you should consider [[S:MyLanguage/Portal:Upgrading Versions|updating]] or [[S:MyLanguage/Why Migrate|migrating]] '''ASAP!''' There will no longer be a Long Term Support Version with a .5 designation. The latest version of Joomla is the Long Term Support Version. See [[S:MyLanguage/Joomla! CMS versions|Joomla! CMS versions]] for a listing of current and future releases.
 +
</translate>
 +
 
 +
<translate>
 +
<!--T:4-->
 +
Joomla! 1.5 has not been supported for since the end of 2012 and Joomla! 2.5 is EOS (end of support) since 31 Dec 2014. Simply, you should be using Joomla! {{CurrentSTSVer}}.
 +
</translate>
 +
 
 +
<noinclude>
 +
<translate>
 +
<!--T:5-->
 +
[[Category:Version 3.x FAQ]]
 +
[[Category:Version 3.0 FAQ]]
 +
[[Category:Version 3.1 FAQ]]
 +
[[Category:Version 3.2 FAQ]]
 +
[[Category:Version 3.3 FAQ]]
 +
[[Category:Version 3.4 FAQ]]
 +
</translate>
 +
</noinclude>

Latest revision as of 10:00, 23 February 2015

Other languages:
български • ‎English • ‎español • ‎français • ‎Nederlands • ‎português • ‎русский

Joomla! 3.1, 3.2, 3.3, 3.4 and more. Joomla's new development strategy is announced here, please read the full text of the development strategy for more information.

A quick summary, if you are using any version of Joomla! except Joomla 3.4.1, you should consider updating or migrating ASAP! There will no longer be a Long Term Support Version with a .5 designation. The latest version of Joomla is the Long Term Support Version. See Joomla! CMS versions for a listing of current and future releases.

Joomla! 1.5 has not been supported for since the end of 2012 and Joomla! 2.5 is EOS (end of support) since 31 Dec 2014. Simply, you should be using Joomla! 3.4.1.